=== debian/changelog ===
libcrypto++ (5.6.4-8) unstable; urgency=medium

  * Install all headers (closes: #866100).
  * Update watch file (closes: #862876).
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 27 Jun 2017 19:04:20 +0000

libcrypto++ (5.6.4-7) unstable; urgency=high

  * Backport security fix for out-of-bounds read in zinflate.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 05 Jun 2017 06:55:28 +0000

libcrypto++ (5.6.4-6) unstable; urgency=medium

  * Backport additional ASN.1 validations.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Dec 2016 08:46:52 +0000

libcrypto++ (5.6.4-5) unstable; urgency=high

  * Fix CVE-2016-9939: possible DoS in ASN.1 decoders (closes: #848009).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Dec 2016 20:54:36 +0000

libcrypto++ (5.6.4-4) unstable; urgency=medium

  * Apply upstream fix for Integer class ABI break (closes: #845460).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 02 Dec 2016 17:00:47 +0000

libcrypto++ (5.6.4-3) unstable; urgency=medium

  * Backport upstream fix for potential zeroizer removal.
  * Backport upstream fix for Hurd build.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 01 Nov 2016 11:27:35 +0000

libcrypto++ (5.6.4-2) unstable; urgency=low

  * Add missed headers to libcrypto++-dev (closes: #841443).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 23 Oct 2016 16:46:44 +0200

libcrypto++ (5.6.4-1) unstable; urgency=low

  * New upstream release.
  * Remove cryptest-data-files-location.diff as applied upstream.
  * Remove backported patches as this release contains those.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 Oct 2016 16:27:30 +0000
