## libcrypto++ 5.6.4-8+8.0trisquel1

=== debian/changelog ===
libcrypto++ (5.6.4-8+8.0trisquel1) flidas-backports; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 Mar 2020 17:12:08 +0000
