## libcrypto++ 7.0.0

=== debian/changelog ===
libcrypto++ (7.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Library transition to version 2 of soname.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 08 Apr 2018 12:04:05 +0000

libcrypto++ (6.1.0-2) experimental; urgency=medium

  * Update library compatibility symlink (closes: #891662).
  * Remove debug_info from libcrypto++.a library (closes: #880637).
  * Make the package multiarch (closes: #879822).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 27 Feb 2018 21:31:37 +0000

libcrypto++ (6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Library transition to version 1 of soname.
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.3:
    - remove libcrypto++6-dbg package and use the auto-generated one.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Feb 2018 16:51:10 +0000
