=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.0.0
-Build-Depends: debhelper (>= 10), automake, autoconf, libtool
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11), automake, autoconf, libtool
 Build-Depends-Indep: doxygen
 Homepage: http://www.cryptopp.com
 
-Package: libcrypto++6
+Package: libcrypto++2
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: General purpose cryptographic library - shared library
@@ -17,22 +18,11 @@
  This package contains the shared libraries and should only be
  installed if other packages depend on it.
 
-Package: libcrypto++6-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: libcrypto++6 (= ${binary:Version}), ${misc:Depends}
-Description: General purpose cryptographic library - debug symbols
- General purpose cryptographic library for C++.
- .
- This package contains the debug symbols for the shared library and
- should only be installed if you debugging a program that uses the
- shared library.
-
 Package: libcrypto++-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libcrypto++6 (= ${binary:Version}), ${misc:Depends}
+Depends: libcrypto++2 (= ${binary:Version}), ${misc:Depends}
 Description: General purpose cryptographic library - C++ development
  Crypto++ is library for creating C++ programs which use cryptographic
  algorithms.  The library uses a Pipes & Filters architecture with heavy
