=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,14 @@
 CXXFLAGS+=-DCRYPTOPP_INIT_PRIORITY=250 -DCRYPTOPP_NO_UNALIGNED_DATA_ACCESS \
 	  -DNDEBUG
 
+SONAME=2
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f $(CURDIR)/libcrypto++.pc.in $(CURDIR)/config.log
 	rm -rf $(CURDIR)/html-docs/
 	# these will be re-generated
-	rm -f $(CURDIR)/debian/libcrypto++6.links \
+	rm -f $(CURDIR)/debian/libcrypto++$(SONAME).links \
 		$(CURDIR)/debian/libcrypto++-dev.links
 
 override_dh_auto_configure:
@@ -44,18 +46,14 @@
 		$(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/
 	# generate links files
 	sed s/ARCH/${DEB_HOST_MULTIARCH}/g \
-		$(CURDIR)/debian/libcrypto++6.links.in \
-		>$(CURDIR)/debian/libcrypto++6.links
+		$(CURDIR)/debian/libcrypto++$(SONAME).links.in \
+		>$(CURDIR)/debian/libcrypto++$(SONAME).links
 	sed s/ARCH/${DEB_HOST_MULTIARCH}/g \
 		$(CURDIR)/debian/libcrypto++-dev.links.in \
 		>$(CURDIR)/debian/libcrypto++-dev.links
 
-override_dh_strip:
-	dh_strip --dbg-package=libcrypto++6-dbg
-
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-     	# Code to run the package test suite.
 	$(CURDIR)/cryptestcwd v
 endif
 
@@ -63,15 +61,15 @@
 
 override_dh_installdocs:
 	dh_installdocs
-	if [ -d "$(DOC_PKG_DIR)/usr/share/doc/libcrypto++-doc/html-docs" ]; then \
-		mv $(DOC_PKG_DIR)/usr/share/doc/libcrypto++-doc/html-docs \
-		$(DOC_PKG_DIR)/usr/share/doc/libcrypto++-doc/html; \
+	if [ -d "$(DOC_PKG_DIR)/usr/share/doc/libcrypto++-dev/html-docs" ]; then \
+		mv $(DOC_PKG_DIR)/usr/share/doc/libcrypto++-dev/html-docs \
+		$(DOC_PKG_DIR)/usr/share/doc/libcrypto++-dev/html; \
 	fi
 
 %:
-	dh $@ --parallel
+	dh $@
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure \
 	override_dh_auto_build-indep override_dh_auto_install \
-	override_dh_strip override_dh_installdocs \
+	override_dh_installdocs \
 	override_dh_auto_test-arch override_dh_auto_test-indep
