## libcrypto++ 8.1.0

=== debian/changelog ===
libcrypto++ (8.1.0-2) experimental; urgency=medium

  * Backport upstream fix of remove early NEON qualification tests.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 Mar 2019 20:11:43 +0000

libcrypto++ (8.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 27 Feb 2019 00:39:55 +0000

libcrypto++ (8.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Use upstream build system.
  * Library transition to version 8 of soname.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 28 Dec 2018 12:18:20 +0000
