=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 11), automake, autoconf, libtool
 Build-Depends-Indep: doxygen
-Homepage: http://www.cryptopp.com
+Homepage: https://www.cryptopp.com
 
-Package: libcrypto++2
+Package: libcrypto++8
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -22,7 +22,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcrypto++2 (= ${binary:Version}), ${misc:Depends}
+Depends: libcrypto++8 (= ${binary:Version}), ${misc:Depends}
 Description: General purpose cryptographic library - C++ development
  Crypto++ is library for creating C++ programs which use cryptographic
  algorithms.  The library uses a Pipes & Filters architecture with heavy
