=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,12 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DOC_PKG_DIR = $(CURDIR)/debian/libcrypto++-doc/
 
-CXXFLAGS+=-DCRYPTOPP_INIT_PRIORITY=250 -DCRYPTOPP_NO_UNALIGNED_DATA_ACCESS \
-	  -DNDEBUG
+CXXFLAGS+=-DNDEBUG
 
-SONAME=2
+SONAME=8
+
+PREFIX=/usr
+LIBDIR=$(PREFIX)/lib/$(DEB_HOST_MULTIARCH)/
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -21,20 +23,24 @@
 		$(CURDIR)/debian/libcrypto++-dev.links
 
 override_dh_auto_configure:
-	rm -f $(CURDIR)/GNUmakefile
-	cp -f $(CURDIR)/debian/autotools/configure.ac \
+#	rm -f $(CURDIR)/GNUmakefile
+#	cp -f $(CURDIR)/debian/autotools/configure.ac \
 		$(CURDIR)/debian/autotools/libcrypto++.pc.in \
 		$(CURDIR)/debian/autotools/Makefile.am \
 		$(CURDIR)
-	autoreconf --verbose --force --install
+#	autoreconf --verbose --force --install
 	dh_auto_configure
+
+override_dh_auto_build-arch:
+	PREFIX=$(PREFIX) LIBDIR=$(LIBDIR) dh_auto_build -a \
+	       -- all libcrypto++.pc
 
 override_dh_auto_build-indep:
 	doxygen
 
 override_dh_auto_install:
 	# use automake
-	dh_auto_install
+	PREFIX=$(PREFIX) LIBDIR=$(LIBDIR) dh_auto_install
 	# install test files
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/crypto--/
 	cp -a $(CURDIR)/TestVectors $(CURDIR)/debian/tmp/usr/share/crypto--/
@@ -42,7 +48,7 @@
 	cp -a $(CURDIR)/TestData $(CURDIR)/debian/tmp/usr/share/crypto--/
 	# install pkg-config file
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/
-	cp -a $(CURDIR)/*.pc \
+#	cp -a $(CURDIR)/*.pc \
 		$(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/
 	# generate links files
 	sed s/ARCH/${DEB_HOST_MULTIARCH}/g \
@@ -54,7 +60,7 @@
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(CURDIR)/cryptestcwd v
+	$(CURDIR)/cryptest v
 endif
 
 override_dh_auto_test-indep:
@@ -70,6 +76,7 @@
 	dh $@
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure \
-	override_dh_auto_build-indep override_dh_auto_install \
+	override_dh_auto_build-arch override_dh_auto_build-indep \
+	override_dh_auto_install \
 	override_dh_installdocs \
 	override_dh_auto_test-arch override_dh_auto_test-indep
