## libcrypto++ 8.2.0

=== debian/changelog ===
libcrypto++ (8.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 29 Apr 2019 17:00:27 +0000
