## libcrypto++ 8.4.0

=== debian/changelog ===
libcrypto++ (8.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 Jan 2021 08:22:09 +0100

libcrypto++ (8.3.0-3) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Dec 2020 18:16:54 +0100

libcrypto++ (8.3.0-2) experimental; urgency=medium

  * Backport upstream fix for SIGILL on PowerPC.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 22 Dec 2020 20:38:25 +0100

libcrypto++ (8.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 20 Dec 2020 17:35:29 +0100

libcrypto++ (8.2.0-2) experimental; urgency=medium

  * Fix CVE-2019-14318: timing side channel in ECDSA signature generation
    (closes: #934326).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 11 Aug 2019 16:57:18 +0000
