=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 11), automake, autoconf, libtool
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), automake, autoconf, libtool
 Build-Depends-Indep: doxygen
 Homepage: https://www.cryptopp.com
+Rules-Requires-Root: no
 
 Package: libcrypto++8
 Architecture: any
