=== debian/rules ===
--- 
+++ 
@@ -21,15 +21,6 @@
 	# these will be re-generated
 	rm -f $(CURDIR)/debian/libcrypto++$(SONAME).links \
 		$(CURDIR)/debian/libcrypto++-dev.links
-
-override_dh_auto_configure:
-#	rm -f $(CURDIR)/GNUmakefile
-#	cp -f $(CURDIR)/debian/autotools/configure.ac \
-		$(CURDIR)/debian/autotools/libcrypto++.pc.in \
-		$(CURDIR)/debian/autotools/Makefile.am \
-		$(CURDIR)
-#	autoreconf --verbose --force --install
-	dh_auto_configure
 
 override_dh_auto_build-arch:
 	PREFIX=$(PREFIX) LIBDIR=$(LIBDIR) dh_auto_build -a \
@@ -72,11 +63,15 @@
 		$(DOC_PKG_DIR)/usr/share/doc/libcrypto++-dev/html; \
 	fi
 
+# skip files failing with "Unknown DWARF DW_OP_255" (see bug#949296)
+override_dh_dwz:
+	dh_dwz --exclude=usr/bin/cryptest \
+		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/libcrypto++.so.8.4.0
+
 %:
 	dh $@
 
-.PHONY: override_dh_auto_clean override_dh_auto_configure \
-	override_dh_auto_build-arch override_dh_auto_build-indep \
-	override_dh_auto_install \
-	override_dh_installdocs \
+.PHONY: override_dh_auto_clean override_dh_auto_build-arch \
+	override_dh_auto_build-indep override_dh_auto_install \
+	override_dh_installdocs override_dh_dwz \
 	override_dh_auto_test-arch override_dh_auto_test-indep
