## libcrypto++ 8.5.0

=== debian/changelog ===
libcrypto++ (8.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 07 Sep 2021 22:41:51 +0200
