## libcrypto++ 8.6.0

=== debian/changelog ===
libcrypto++ (8.6.0-2ubuntu1) jammy; urgency=medium

  * debian/patches/correct-arm-arch.patch: Use the correct architecture
    target for armhf.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 19 Dec 2021 12:21:58 -0800

libcrypto++ (8.6.0-2) unstable; urgency=medium

  * Fix armel and armhf link breakage.
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Sep 2021 19:44:37 +0200

libcrypto++ (8.6.0-1) unstable; urgency=high

  * New upstream release.
  * Fix CVE-2021-40530: ElGamal encryption using a work estimate to size
    encryption exponents instead subgroup order (closes: #993841).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Sep 2021 11:23:06 +0200
