=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libcrypto++
 Section: libs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.5.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13), automake, autoconf, libtool
 Build-Depends-Indep: doxygen
 Homepage: https://www.cryptopp.com
