=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 # skip files failing with "Unknown DWARF DW_OP_255" (see bug#949296)
 override_dh_dwz:
 	dh_dwz --exclude=usr/bin/cryptest \
-		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/libcrypto++.so.8.5.0
+		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/libcrypto++.so.8.6.0
 
 %:
 	dh $@
