## libcrypto++ 8.7.0

=== debian/changelog ===
libcrypto++ (8.7.0-1) unstable; urgency=medium

  * New upstream release (closes: #1012974).
  * Add -fno-devirtualize to CXXFLAGS for GCC 12 not to remove code member
    function needed for self-testing.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 13 Aug 2022 07:22:58 +0200

libcrypto++ (8.6.0-3) unstable; urgency=medium

  * Fix armhf FTBFS (closes: #1001995). 

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Feb 2022 10:39:14 +0100
