=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DOC_PKG_DIR = $(CURDIR)/debian/libcrypto++-doc/
 
-CXXFLAGS+=-DNDEBUG
+# -fno-devirtualize is for GCC 12 not to remove code member function needed
+#  for testing
+CXXFLAGS+=-DNDEBUG -fsanitize=unreachable -fno-devirtualize
 
 SONAME=8
