## libcrypto++ 8.7.0+git220824

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libcrypto++
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13), automake, autoconf, libtool
 Build-Depends-Indep: doxygen
@@ -97,6 +96,7 @@
 
 Package: libcrypto++-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, libjs-jquery
 Conflicts: libcrypto++-dev (<= 5.2.1c2-3)
