=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,12 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DOC_PKG_DIR = $(CURDIR)/debian/libcrypto++-doc/
 
-# -fno-devirtualize is for GCC 12 not to remove code member function needed
-#  for testing
-CXXFLAGS+=-DNDEBUG -fsanitize=unreachable -fno-devirtualize
+
+include /usr/share/dpkg/architecture.mk
+
+ifneq ($(filter $(DEB_HOST_ARCH),armel powerpc),)
+        export DEB_LDFLAGS_MAINT_APPEND= -latomic
+endif
 
 SONAME=8
