## libcrypto++ 8.8.0

=== debian/changelog ===
libcrypto++ (8.8.0-1) unstable; urgency=medium

  * New upstream release.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Export build tools for all targets (closes: #1018923).


 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 07 Jul 2023 17:20:07 +0200

libcrypto++ (8.7.0+git220824-1) unstable; urgency=medium

  * New git snapshot release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 25 Aug 2022 19:44:25 +0200
