## libcrypto++ 8.9.0

=== debian/changelog ===
libcrypto++ (8.9.0-2) unstable; urgency=high

  * Update gf2n documentation.
  * Fix CVE-2023-50980: denial of service (application crash) via DER
    public-key data (closes: #1059311).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 29 Apr 2025 21:12:05 +0200

libcrypto++ (8.9.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062265

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 10:39:14 +0000

libcrypto++ (8.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 02 Oct 2023 17:51:51 +0200

libcrypto++ (8.8.0-2) unstable; urgency=medium

  * Update watch file.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 07 Sep 2023 07:25:20 +0000
