=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), automake, autoconf, libtool
+Standards-Version: 4.6.2
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), automake, autoconf, libtool
 Build-Depends-Indep: doxygen
 Homepage: https://www.cryptopp.com
 Rules-Requires-Root: no
 
-Package: libcrypto++8
+Package: libcrypto++8t64
+Provides: ${t64:Provides}
+Replaces: libcrypto++8
+Breaks: libcrypto++8 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -23,7 +26,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcrypto++8 (= ${binary:Version}), ${misc:Depends}
+Depends: libcrypto++8t64 (= ${binary:Version}), ${misc:Depends}
 Description: General purpose cryptographic library - C++ development
  Crypto++ is library for creating C++ programs which use cryptographic
  algorithms.  The library uses a Pipes & Filters architecture with heavy
